{% extends "base.html" %}
{% import "bootstrap/wtf.html" as wtf %}
{% import "_macros.html" as macros %}

{% block title %}Flaskq - Question{% endblock %}

{% block app_content %}
<div class="page-header">
    <div class="question-header">
        {% set question = questions[0] %}
        <h1>{{ question.body }}</h1>
        <p>{{ question.detail }}</p>

        <div class="question-footer">
            {% if not current_user.is_answered(question) %}
            <a class="btn btn-info answer-write" href="{{ url_for('.answers', id=question.id) }}">
                Write Ansewer
            </a>
            {% endif %}
            {% if current_user == question.author %}
            <a href="{{ url_for('.edit_question', id=question.id) }}">
                <span class="label label-primary">Edit</span>
            </a>
            {% endif %}
        </div>
        <div class="answer-creator" style="display:none;"></div>
    </div>
    <br>
</div>
<h4 id="answers">{{ question.answers.count() }} Answers</h4>
{% include "_answers.html" %}
{% if pagination %}
<div class="pagination">
    {{ macros.pagination_widget(pagination, '.questions', fragment='#answers', id=questions[0].id) }}
</div>
{% endif %}
{% endblock %}

{% block scripts %}
{{ super() }}
{{ pagedown.include_pagedown() }}
<script src="{{ url_for('static', filename='answer.js') }}"></script>
<script src="{{ url_for('static', filename='vote.js') }}"></script>
{% endblock %}